package com.kakao.usermgmt.response.model;

public enum BirthdayType {
    SOLAR,
    LUNAR,
    UNKNOWN;

    public final String toString() {
        return name();
    }

    public static BirthdayType getType(String str) {
        for (BirthdayType birthdayType : values()) {
            if (birthdayType.name().equalsIgnoreCase(str)) {
                return birthdayType;
            }
        }
        return UNKNOWN;
    }
}
